org.keycloak.models.utils

## Class ModelToRepresentation

- java.lang.Object
- - org.keycloak.models.utils.ModelToRepresentation

-     public class ModelToRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelToRepresentation()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `buildGroupPath(GroupModel group)`
    `static void` | `buildGroupPath(StringBuilder sb, GroupModel group)`
    `static void` | `exportAuthenticationFlows(RealmModel realm, RealmRepresentation rep)`
    `static void` | `exportGroups(RealmModel realm, RealmRepresentation rep)`
    `static void` | `exportRequiredActions(RealmModel realm, RealmRepresentation rep)`
    `static RealmEventsConfigRepresentation` | `toEventsConfigReprensetation(RealmModel realm)`
    `static GroupRepresentation` | `toGroupHierarchy(GroupModel group, boolean full)`
    `static List<GroupRepresentation>` | `toGroupHierarchy(RealmModel realm, boolean full)`
    `static AdminEventRepresentation` | `toRepresentation(AdminEvent adminEvent)`
    `static AuthDetailsRepresentation` | `toRepresentation(AuthDetails authDetails)`
    `static AuthenticatorConfigRepresentation` | `toRepresentation(AuthenticatorConfigModel model)`
    `static ClientRepresentation` | `toRepresentation(ClientModel clientModel)`
    `static ClientTemplateRepresentation` | `toRepresentation(ClientTemplateModel clientModel)`
    `static ComponentRepresentation` | `toRepresentation(ComponentModel component)`
    `static EventRepresentation` | `toRepresentation(Event event)`
    `static FederatedIdentityRepresentation` | `toRepresentation(FederatedIdentityModel socialLink)`
    `static GroupRepresentation` | `toRepresentation(GroupModel group, boolean full)`
    `static IdentityProviderMapperRepresentation` | `toRepresentation(IdentityProviderMapperModel model)`
    `static List<ConfigPropertyRepresentation>` | `toRepresentation(List<ProviderConfigProperty> configProperties)`
    `static ProtocolMapperRepresentation` | `toRepresentation(ProtocolMapperModel model)`
    `static AuthenticationExecutionExportRepresentation` | `toRepresentation(RealmModel realm, AuthenticationExecutionModel model)`
    `static AuthenticationFlowRepresentation` | `toRepresentation(RealmModel realm, AuthenticationFlowModel model)`
    `static RealmRepresentation` | `toRepresentation(RealmModel realm, boolean internal)`
    `static IdentityProviderRepresentation` | `toRepresentation(RealmModel realm, IdentityProviderModel identityProviderModel)`
    `static UserFederationMapperRepresentation` | `toRepresentation(RealmModel realm, UserFederationMapperModel model)`
    `static RequiredActionProviderRepresentation` | `toRepresentation(RequiredActionProviderModel model)`
    `static RoleRepresentation` | `toRepresentation(RoleModel role)`
    `static UserConsentRepresentation` | `toRepresentation(UserConsentModel model)`
    `static CredentialRepresentation` | `toRepresentation(UserCredentialModel cred)`
    `static UserFederationProviderRepresentation` | `toRepresentation(UserFederationProviderModel model)`
    `static UserRepresentation` | `toRepresentation(UserModel user)`
    `static UserSessionRepresentation` | `toRepresentation(UserSessionModel session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelToRepresentation

          public ModelToRepresentation()

  - ### Method Detail

    - #### buildGroupPath

          public static void buildGroupPath(StringBuilder sb,
                                            GroupModel group)

    - #### buildGroupPath

          public static String buildGroupPath(GroupModel group)

    - #### toRepresentation

          public static GroupRepresentation toRepresentation(GroupModel group,
                                                             boolean full)

    - #### toGroupHierarchy

          public static List<GroupRepresentation> toGroupHierarchy(RealmModel realm,
                                                                   boolean full)

    - #### toGroupHierarchy

          public static GroupRepresentation toGroupHierarchy(GroupModel group,
                                                             boolean full)

    - #### toRepresentation

          public static UserRepresentation toRepresentation(UserModel user)

    - #### toRepresentation

          public static EventRepresentation toRepresentation(Event event)

    - #### toRepresentation

          public static AdminEventRepresentation toRepresentation(AdminEvent adminEvent)

    - #### toRepresentation

          public static AuthDetailsRepresentation toRepresentation(AuthDetails authDetails)

    - #### toRepresentation

          public static RoleRepresentation toRepresentation(RoleModel role)

    - #### toRepresentation

          public static RealmRepresentation toRepresentation(RealmModel realm,
                                                             boolean internal)

    - #### exportGroups

          public static void exportGroups(RealmModel realm,
                                          RealmRepresentation rep)

    - #### exportAuthenticationFlows

          public static void exportAuthenticationFlows(RealmModel realm,
                                                       RealmRepresentation rep)

    - #### exportRequiredActions

          public static void exportRequiredActions(RealmModel realm,
                                                   RealmRepresentation rep)

    - #### toEventsConfigReprensetation

          public static RealmEventsConfigRepresentation toEventsConfigReprensetation(RealmModel realm)

    - #### toRepresentation

          public static CredentialRepresentation toRepresentation(UserCredentialModel cred)

    - #### toRepresentation

          public static FederatedIdentityRepresentation toRepresentation(FederatedIdentityModel socialLink)

    - #### toRepresentation

          public static UserSessionRepresentation toRepresentation(UserSessionModel session)

    - #### toRepresentation

          public static ClientTemplateRepresentation toRepresentation(ClientTemplateModel clientModel)

    - #### toRepresentation

          public static ClientRepresentation toRepresentation(ClientModel clientModel)

    - #### toRepresentation

          public static UserFederationProviderRepresentation toRepresentation(UserFederationProviderModel model)

    - #### toRepresentation

          public static UserFederationMapperRepresentation toRepresentation(RealmModel realm,
                                                                            UserFederationMapperModel model)

    - #### toRepresentation

          public static IdentityProviderRepresentation toRepresentation(RealmModel realm,
                                                                        IdentityProviderModel identityProviderModel)

    - #### toRepresentation

          public static ProtocolMapperRepresentation toRepresentation(ProtocolMapperModel model)

    - #### toRepresentation

          public static IdentityProviderMapperRepresentation toRepresentation(IdentityProviderMapperModel model)

    - #### toRepresentation

          public static UserConsentRepresentation toRepresentation(UserConsentModel model)

    - #### toRepresentation

          public static AuthenticationFlowRepresentation toRepresentation(RealmModel realm,
                                                                          AuthenticationFlowModel model)

    - #### toRepresentation

          public static AuthenticationExecutionExportRepresentation toRepresentation(RealmModel realm,
                                                                                     AuthenticationExecutionModel model)

    - #### toRepresentation

          public static AuthenticatorConfigRepresentation toRepresentation(AuthenticatorConfigModel model)

    - #### toRepresentation

          public static RequiredActionProviderRepresentation toRepresentation(RequiredActionProviderModel model)

    - #### toRepresentation

          public static List<ConfigPropertyRepresentation> toRepresentation(List<ProviderConfigProperty> configProperties)

    - #### toRepresentation

          public static ComponentRepresentation toRepresentation(ComponentModel component)

Copyright © 2016 JBoss by Red Hat. All rights reserved.